#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Summary:        Extra kio plugins needed by KF5
Name:           kio-extras
Version: 19.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

# Security patches
Patch0:         CVE-2020-12755.patch

BuildRequires:  kf5-macros

BuildRequires:  kdnssd-devel
BuildRequires:  karchive-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kdnssd-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  ki18n-devel
BuildRequires:  kio-devel
BuildRequires:  khtml-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  solid-devel
BuildRequires:  kpty-devel

BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5SyntaxHighlighting)

BuildRequires:  shared-mime-info
BuildRequires:  openslp-devel
BuildRequires:  gperf

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Sql)

BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libmtp)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(OpenEXR)

# mga#24372
Requires:       kio

# duplicated files with KDE 4
Conflicts:      kde-l10n < 15.04.3

Obsoletes:      kio-mtp < 1
Provides:       kio-mtp = %version-%release

# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Extra kio plugins needed by KF5.

%files  -f %name.lang
%_kf5_sysconfdir/xdg/kio-extras.categories
%_qt5_plugindir/*.so
%_kf5_plugindir/kio/*
%_kf5_plugindir/kiod/*
%_kf5_plugindir/kded/*
%_kf5_plugindir/parts/*
%_kf5_services/*
%_kf5_datadir/config.kcfg/jpegcreatorsettings5.kcfg
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.network.kioslavenotifier.xml
%_kf5_datadir/dbus-1/services/org.kde.kmtp.daemon.service
%_kf5_datadir/kio_bookmarks
%_kf5_datadir/kio_docfilter
%_kf5_datadir/kio_info
%_kf5_datadir/konqsidebartng
%_kf5_servicetypes/*.desktop
%_kf5_datadir/mime/packages/kf5_network.xml
%_kf5_datadir/remoteview/*.desktop
%_kf5_datadir/konqueror/dirtree/remote/smb-network.desktop
%_kf5_datadir/konqueror/dirtree/remote/mtp-network.desktop
%_kf5_datadir/solid/actions/solid_mtp.desktop

#--------------------------------------------------------------------

%define libmolletnetwork_major 19
%define libmolletnetwork %mklibname molletnetwork %{libmolletnetwork_major}

%package -n %libmolletnetwork
Summary:        Extra kio plugins needed by KF5
Group:          System/Libraries

%description -n %libmolletnetwork
Extra kio plugins needed by KF5.

%files -n %libmolletnetwork
%_kf5_libdir/libmolletnetwork5.so.%{libmolletnetwork_major}{,.*}

#--------------------------------------------------------------------

%define libkioarchive_major 5
%define libkioarchive %mklibname kioarchive %{libkioarchive_major}

%package -n %libkioarchive
Summary:        Extra kio plugins needed by KF5
Group:          System/Libraries

%description -n %libkioarchive
Extra kio plugins needed by KF5.

%files -n %libkioarchive
%_kf5_libdir/libkioarchive.so.%{libkioarchive_major}{,.*}

#---------------------------------------------------------------------------

%define libkioarchive_devel %mklibname kioarchive -d

%package -n %{libkioarchive_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkioarchive = %version-%release
Provides:       libkioarchive-devel = %version-%release
Provides:       kioarchive-devel = %version-%release

%description -n %{libkioarchive_devel}
Extra kio plugins needed by KF5.

This package contains header files needed if you wish to build applications
based on libkioarchive.

%files -n %{libkioarchive_devel}
%_kf5_includedir/kio_archivebase.h
%_kf5_includedir/libkioarchive_export.h
%_kf5_libdir/cmake/KioArchive/

#---------------------------------------------------------------------------

%package handbook
Summary:        %name Handbook
Group:          Documentation
BuildArch:      noarch

# duplicated files with KDE 4
Conflicts:      kdebase4-runtime-handbook

%description handbook
This package provides %name Handbook.

%files handbook 
%_kf5_docdir/HTML/*/kioslave5/*

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -Wno-dev \
           -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%make_build

%install
%make_install -C build
%find_lang %name --all-name


%changelog
* Tue Sep 22 2020 daviddavid <daviddavid> 19.04.0-1.1.mga7
+ Revision: 1629436
- add upstream patch to fix CVE-2020-12755 (mga#27297)

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390446
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1388608
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382509
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375602
- New version 18.12.3

* Sat Feb 16 2019 daviddavid <daviddavid> 18.12.2-2.mga7
+ Revision: 1367617
- add missing dependency on kio (mga#24372)

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365566
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356504
- New version 18.12.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 18.12.0-2.mga7
+ Revision: 1346053
- rebuild for exiv2

* Thu Dec 20 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1343155
- New version 18.12.0

* Sun Nov 25 2018 daviddavid <daviddavid> 18.08.3-1.mga7
+ Revision: 1334173
- add upstream patch to fix CVE-2018-19120 (mga#23868)
  * fixed by removing the HTML thumbnailer
+ neoclust <neoclust>
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327398
- New version 18.08.2

* Tue Oct 16 2018 daviddavid <daviddavid> 18.04.1-3.mga7
+ Revision: 1320927
- rebuild for new ilmbase and openexr 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298556
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240417
- New version 18.04.1

* Mon Mar 05 2018 neoclust <neoclust> 17.12.2-4.mga7
+ Revision: 1206721
- Enable more kioslave
- Add More dependancies to enable features

* Mon Mar 05 2018 neoclust <neoclust> 17.12.2-3.mga7
+ Revision: 1206717
- Add gperf to build man kioslave

* Mon Mar 05 2018 neoclust <neoclust> 17.12.2-2.mga7
+ Revision: 1206713
- Rebuild to check all BR

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201895
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194917
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186455
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143045
- New version 17.08.0

* Sun Aug 06 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1138005
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133412
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1129875
- New version 17.04.3

* Tue Jun 20 2017 neoclust <neoclust> 16.12.3-2.mga6
+ Revision: 1107988
- Rebuild against new exiv2

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090075
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076811
- New version 16.12.0

* Wed Dec 07 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073088
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067338
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061397
- New version 16.08.2

* Thu Sep 15 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1053133
- Try to better obsoletes kio-mtp

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050663
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047303
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040064
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012550
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004340
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997943
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991187
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987456
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922625
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911941
- New version 15.12.0

* Thu Nov 26 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906163
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901135
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890615
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880428
- New version 15.08.1

* Wed Aug 26 2015 sander85 <sander85> 15.08.0-2.mga6
+ Revision: 869632
- Rebuild for exiv2 0.25

* Thu Aug 20 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866190
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863794
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862056
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859636
- New version 15.07.80

* Mon Jul 20 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 855567
- Versionnate conflicts

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 855557
- Enable mtp kioslave

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850722
- New version 5.3.2

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804163
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793581
- add missing conflicts with KDE 4
- simplify find_lang

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 745130
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.0.1-4.mga5
+ Revision: 726663
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 681088
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663900
- This is not a framework so rename it
- Rename

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662194
- New version 5.0.1
- Enable translations
- imported package kf5-kio-extras

